whitelist interface strings of Wikimedia Commons for translation
Closed, ResolvedPublic


Author: arnomane

Some URL-targets of the Wikimedia Commons interface are not translateable, although appropriate up to
date translations of the respective pages and the usual /lang_code sub pages do exist.

The Wikimedia Commons MediaWiki pages in concern are:

  • MediaWiki:Contact-url
  • MediaWiki:Privacypage
  • MediaWiki:Aboutpage
  • MediaWiki:Disclaimerpage
  • MediaWiki:Copyright (text string)

In Wikimedia Commons translations get actively maintained at:


As these sub pages in mediawiki namespace can only be created by admins we have also a quality control so
that bad local legal pages do not get shown in the interface directly. Beside that pages like the privacy
policy page also contain a warning that only the english version found at wikimedia foundation wiki is
the official one. And of course for example the english "General disclaimer" did miss legally required
information until some months so it's always a question of maintenance if a given information is good

So people will keep track of the pages and will actively remove outdated translations of these legal
pages in the interface in order to avoid legal problems.

This would also help Wikimedia Commons a lot being percieved and accepted as a mulitilingual community as
many complains towards Commons do arise on such "english only" things.

Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz5925.
bzimport created this task.Via LegacyMay 12 2006, 11:05 PM
daniel added a comment.Via ConduitMay 12 2006, 11:08 PM

while we are at it: commons also needs teh ability to translate MediaWiki:Licenses

bzimport added a comment.Via ConduitMay 14 2006, 7:14 PM

avarab wrote:

FIXED this.

bzimport added a comment.Via ConduitMay 15 2006, 12:01 AM

sanbec wrote:

Please, do the same with MediaWiki:Sitesupport-url

bzimport added a comment.Via ConduitMay 15 2006, 12:07 AM

sanbec wrote:

(In reply to comment #3)

Please, do the same with MediaWiki:Sitesupport-url

..and MediaWiki:Recentchangestext

/es version exists but doesn't work

hashar added a comment.Via ConduitMay 19 2006, 5:54 PM

setup on live site.

bzimport added a comment.Via ConduitMay 31 2006, 5:48 PM

arnomane wrote:

*** Bug 3553 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitMay 31 2006, 5:51 PM

arnomane wrote:

*** Bug 3413 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitApr 25 2008, 11:06 AM

snooze210904 wrote:

Would you be so kind to add MediaWiki:Helppage to the whitelist too? There are several versions (ar, de, es, fr, it, ja, pt, zh-hant) not displaying properly. Thank you.

bzimport added a comment.Via ConduitJul 2 2008, 7:04 PM

bastique.bz wrote:

This seems to be a fairly easy bug to fix. Perhaps adding a note to it will assist the process. Maybe it got lost.

Platonides added a comment.Via ConduitDec 8 2008, 10:49 PM

Clarification: Those messages are to be added to $wgForceUIMsgAsContentMsg at InitialiseSettings.php for commonswiki

Lupo added a comment.Via ConduitJan 26 2009, 11:49 AM

As far as I see, $wgForceUIMsgAsContentMsg for Commons *still* does not contain helppage, despite Patricia having asked for this some eight months ago. Could this be fixed, please?! At the Commons, we have several translations of Help:Contents, but we can't link them properly in the sidebar, which is really annoying. The Commons should be as multi-lingual as possible.

(P.S.: I took the liberty to change the priority to HIGH. Appears this one fell through the cracks, as Cary suggested above.)

Lupo added a comment.Via ConduitFeb 3 2009, 10:56 AM

It appears to me that this config change would need to be done by a System administrator, but apparently none of them is in the CC list? Adding Brion.

(Sorry, Brion. You probably have more important stuff to do, but it'd still be nice if we finally had helppage in $wgForceUIMsgAsContentMsg for commonswiki.)

brion added a comment.Via ConduitFeb 12 2009, 11:59 PM


Add Comment